%define		pkgname	terminfo
Summary:	Haskell bindings to the terminfo library
Name:		ghc-%{pkgname}
Version:	0.3.2.5
Release:	2
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	7ef09acfac9f6fc499ed3bb804ae2ab3
URL:		http://hackage.haskell.org/package/terminfo/
BuildRequires:	ghc >= 6.12.3
BuildRequires:	gmp-devel
BuildRequires:	ncurses-devel
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_eq	ghc
Requires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
This library provides an interface to the terminfo database (via
bindings to the curses library). Terminfo allows POSIX systems to
interact with a variety of terminals using a standard set of
capabilities.

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.lhs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version} \
	--configure-option="--with-curses-includes=/usr/include/ncursesw"

runhaskell Setup.lhs build
runhaskell Setup.lhs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.lhs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
%{__rm} -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html

runhaskell Setup.lhs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*
%changelog
* Fri May 31 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghc-terminfo.git;a=log;h=master

* Fri May 31 2013 Jan Rękorajski <baggins@pld-linux.org> c9509ec
- fix copy-paste error
- rel 2

* Fri May 31 2013 Jan Rękorajski <baggins@pld-linux.org> d4b7753
- up to 0.3.2.5

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> 69ec781
- fix md5

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> e3a1aa0
- 0.3.2.2

* Mon Feb 28 2011 Elan Ruusamäe <glen@pld-linux.org> 037789b
- update packaging, %requires_eq dep on ghc

* Thu Feb 24 2011 Elan Ruusamäe <glen@pld-linux.org> 43d50af
- release 3

* Thu Feb 24 2011 Elan Ruusamäe <glen@pld-linux.org> 8bf56bc
- use %ghc_pkg_recache macro; make url copyable; %ghcdir in rpmbuild macros

* Sat Aug 28 2010 Jan Rękorajski <baggins@pld-linux.org> d669770
- release 2

* Sat Aug 28 2010 Jan Rękorajski <baggins@pld-linux.org> 251ad90
- requires_releq due to very unique ids in packages built with ghc 6.12+

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> 1737013
- 0.3.1.3

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> 12c46ed
- updated packaging to new template (ghc 6.12.3+)

* Sun May 16 2010 sparky <sparky@pld-linux.org> f2ea86d
- BR: gmp-devel

* Sat Apr 10 2010 Jan Rękorajski <baggins@pld-linux.org> 7d66343
- initial revision

